variable "name" {
  type        = string
  description = "Name of the cluster"
}

variable "k8s_config_yaml" {
  description = "Content of k8s config yaml file"
  type        = string
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "namespace" {
  type = string
}

variable "hosts" {
  type = list(string)
  default = null
}
